Name:          jinput
Version:       2.0.6
Release:       %mkrel 1
Summary:       Java™ Game Controller API 
Group:         Development/Java
License:       BSD
Url:           https://jinput.dev.java.net/
# svn export https://svn.java.net/svn/jinput~svn/trunk jinput
# tar czf jinput-2.0.6-src-svn.tar.gz jinput
Source0:       jinput-2.0.6-src-svn.tar.gz
Patch0:        jinput-2.0.6-jinput_pom.patch
Patch1:        jinput-2.0.6-jinput_native_jar.patch
BuildRequires: ant
BuildRequires: jpackage-utils
BuildRequires: jutils
Requires:      jpackage-utils
Requires:      jutils

%description
The JInput Project hosts an implementation of an API for game controller discovery and polled input.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
JInput - Library for access to input devices..

This package contains javadoc for %{name}.

%prep
%setup -q -n jinput
%patch0 -p0
%patch1 -p0
sed -i "s|@VERSION@|%{version}|" jinput*.pom

for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
for c in $(find . -name "*.class"); do
  rm -rf $c
done

ln -sf $(build-classpath jutils) lib/jutils.jar

%build

ant dist javadoc
ant -f  webstart/build.xml buildnatives
ant -f  applet/build.xml dist

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir}

install -m 644 dist/jinput-test.jar %{buildroot}%{_javadir}/jinput-test-%{version}.jar
install -m 644 dist/jinput.jar  %{buildroot}%{_javadir}/jinput-%{version}.jar
install -m 644 applet/dist/jinput-applet-test.jar  %{buildroot}%{_javadir}/jinput-applet-test-%{version}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
%add_to_maven_depmap net.java.jinput jinput %{version} JPP jinput
install -pm 644 jinput.pom %{buildroot}%{_mavenpomdir}/JPP-jinput.pom

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_jnidir}
install -m 644 webstart/dist/jinput-linux-native.jar %{buildroot}%{_javadir}/jinput-linux-native.jar
%add_to_maven_depmap net.java.jinput jinput-platform %{version} JPP jinput-linux-native
install -pm 644 jinput-platform.pom %{buildroot}%{_mavenpomdir}/JPP-jinput-linux-native.pom

install -m 755 dist/libjinput-linux*.so %{buildroot}%{_jnidir}/

mkdir -p %{buildroot}%{_javadocdir}/jinput-%{version}
cp -pr coreAPI/apidocs/* %{buildroot}%{_javadocdir}/jinput-%{version}
mkdir -p %{buildroot}%{_javadocdir}/jinput-%{version}/awt
cp -pr plugins/awt/apidocs/* %{buildroot}%{_javadocdir}/jinput-%{version}/awt
mkdir -p %{buildroot}%{_javadocdir}/jinput-%{version}/linux
cp -pr plugins/linux/apidocs/* %{buildroot}%{_javadocdir}/jinput-%{version}/linux
ln -s jinput-%{version} %{buildroot}%{_javadocdir}/jinput

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files

%{_javadir}/jinput-linux-native.jar
%{_jnidir}/libjinput-linux*.so

%{_javadir}/jinput-%{version}.jar
%{_javadir}/jinput.jar
%{_javadir}/jinput-applet-test-%{version}.jar
%{_javadir}/jinput-applet-test.jar
%{_javadir}/jinput-test-%{version}.jar
%{_javadir}/jinput-test.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGES README.txt

%files javadoc
%{_javadocdir}/jinput-%{version}
%{_javadocdir}/jinput



%changelog
* Fri Aug 05 2011 dmorgan <dmorgan> 2.0.6-1.mga2
+ Revision: 131845
- Fix install
- Simply spec file

  + gil <gil>
    - imported package jinput


* Thu Jun 23 2011 gil <gil> 2.0.6-0.%%mkrel
- initial rpm